POST
/
v1
/
messages
/
multi-product
Send a multi-product message
curl --request POST \
  --url https://api.wazapin.com/v1/messages/multi-product \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "catalog_id": "<string>",
  "channel_id": "<string>",
  "sections": [
    {
      "product_items": [
        {
          "product_retailer_id": "<string>"
        }
      ],
      "title": "<string>"
    }
  ],
  "to": "<string>",
  "footer": "<string>",
  "header": "<string>"
}
'
{
  "data": {
    "status": "<string>",
    "message_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
body
string
required

Body text

Minimum string length: 1
catalog_id
string
required

Facebook catalog ID

Minimum string length: 1
channel_id
string
required

Channel ID

Minimum string length: 1
sections
object[] | null
required

Product sections

to
string
required

Recipient phone number

Minimum string length: 1

Footer text

header
string

Header text

Response

Created

data
object
required